/**
 * Assignment #8: POSIX File System Functions
 * Sample Solution
 *
 * Instructor: Ron Mak
 * CMPE 142 Operating Systems
 * Computer Engineering Department
 * San Jose State University
 */
#ifndef CHILD_H_
#define CHILD_H_

#include <unistd.h>
#include "globals.h"

using namespace std;

class Child
{
public:
    Child(int file_ids[])
    {
        // Redirect standard out to the write end of the pipe.
        dup2(file_ids[WRITE_FID], STDOUT_FILENO);

        close(file_ids[READ_FID]);
        close(file_ids[WRITE_FID]);

        // Replace this process with fswatch.
        execl("/usr/local/bin/fswatch", "fswatch", "-xtr", ".", NULL);

        // Won't reach here if execl succeeded.
        abort("execl");
    }
};

#endif /* CHILD_H_ */
